#
# uxyz05.rb
#
# $Id: uxyz05.rb,v 1.1 2000/11/23 08:19:16 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


id0 = 19910401
nd = 90

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

rnd=nd
DCL::sgswnd(0.0, rnd, -1.0, +1.0)
DCL::sgsvpt(0.2, 0.8, 0.2, 0.8)
DCL::sgstrn(1)
DCL::sgstrf

DCL::ucxacl('B', id0, nd)
DCL::ucxacl('T', id0, nd)

DCL::uyaxdv('L', 0.05, 0.25)
DCL::uzlset('LABELYR', true)
DCL::uysfmt('(F6.2)')
DCL::uyaxdv('R', 0.05, 0.25)
DCL::uysttl('L', 'CORRILATION', 0.0)

DCL::uxmttl('T', 'UCXACL/UYAXDV', 0.0)

DCL::grcls

